use crate::prelude::*;

mod cli;
mod error;
mod file_watcher;
mod observe;
mod prelude;
mod result;
mod router;
mod state;
mod static_files;
mod tailwind;
mod templates;
mod webserver;

#[tokio::main]
async fn main() -> Result<()> {
    let _setup_logging = observe::setup_logging();
    cli::cli()?.exec().await
}
