use crate::{prelude::*, tailwind};
use axum::{serve, Router};

pub async fn webserver(router: Router, with_watchers: bool) -> Result<()> {
    if with_watchers {
        tokio::spawn(async move { tailwind::start_watcher() });
    }

    let listener = tokio::net::TcpListener::bind("0.0.0.0:3000").await.unwrap();
    info!("Listening on {listener:?}");
    Ok(serve(listener, router).await?)
}
